aboutsummaryrefslogtreecommitdiffstats
path: root/check/find-duplicates
diff options
context:
space:
mode:
authorMattias Andrée <maandree@kth.se>2024-02-09 00:32:53 +0100
committerMattias Andrée <maandree@kth.se>2024-02-09 00:32:53 +0100
commit29e592f91ccc52e6a06a35500246de517f312be6 (patch)
tree85f403a112d059b685eae28142a519231a00ba89 /check/find-duplicates
parentBig update (diff)
downloadsimple-icon-theme-29e592f91ccc52e6a06a35500246de517f312be6.tar.gz
simple-icon-theme-29e592f91ccc52e6a06a35500246de517f312be6.tar.bz2
simple-icon-theme-29e592f91ccc52e6a06a35500246de517f312be6.tar.xz
Nothing major, except DEVCHECK doesn't take forever anymore (it's indistiguousable for instant)
Signed-off-by: Mattias Andrée <maandree@kth.se>
Diffstat (limited to 'check/find-duplicates')
-rwxr-xr-xcheck/find-duplicates9
1 files changed, 9 insertions, 0 deletions
diff --git a/check/find-duplicates b/check/find-duplicates
new file mode 100755
index 0000000..2517fb6
--- /dev/null
+++ b/check/find-duplicates
@@ -0,0 +1,9 @@
+#!/bin/sh
+set -e
+
+dups="$(sed 's/\\$//' < icons.mk | sed '/^\s*\(#.*\|\)$/d' | sed 1d | tr -d '\t ' | sort | uniq -d)"
+
+if test -n "$dups"; then
+ printf 'The following files have been listed in icons.mk multiple times:\n%s\n' "$dups" >&2
+ exit 1
+fi